[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: using yum to upgrade from FC1 to FC2?





Ding Li wrote:
Adam Williams wrote:

Hi, I know its not recommended to use yum to upgrade from FC1 to FC2, and that anaconda should be used. I have a remote server though, and I'd like to attempt to use yum to upgrade it from FC1 to FC2. Does anyone have any instructions on how to do this? I put on the fedocra core 2 release and fedora core 2's yum noarch RPMs and then tried yum -y update and yum -y upgrade, but both return dependancy errors on MySQL (i'm using mysql 4.0.1 rpms from mysql.com) any suggestions, thanks?


Adam,

If you get any dependency problem, just remove the package. For your case, what you need to do is 'rpm -e --nodeps mysql'. Then you run 'yum -y upgrade'. I believe there are more dependency problems, just remove all of them and give it a try.


Or 'rpm -e --justdb --nodeps mysql' so no files get removed, just the RPM database entry.




Ding






[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]